Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153236 - mod_perl: update and specfile cleanup
Summary: mod_perl: update and specfile cleanup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-03 21:24 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 09:41:32 UTC


Attachments (Terms of Use)
Update and specfile cleanup (deleted)
2005-04-03 21:24 UTC, Jose Pedro Oliveira
no flags Details | Diff
Full specfile (deleted)
2005-04-04 13:51 UTC, Jose Pedro Oliveira
no flags Details
mod_perl 2.0.0 rc5 specfile patch (deleted)
2005-04-17 14:30 UTC, Jose Pedro Oliveira
no flags Details | Diff
Filter requirements update (deleted)
2005-04-18 23:05 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2005-04-03 21:24:37 UTC
Version-Release number of selected component (if applicable):
1.99_17-2

Expected results:
2.0.0-RC4

Additional info:
Patch included.

Known problems:
- the test suite is protected by a non-existent arch (%ifarch 1386)
- the test suite fails (mod_perl 1.99_17 and 2.0.0-rc4)
  I think is only file/directories permissions problems. I will try to
  look at it in a few days.

Related bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=151178

Comment 1 Jose Pedro Oliveira 2005-04-03 21:24:38 UTC
Created attachment 112638 [details]
Update and specfile cleanup

Comment 2 Joe Orton 2005-04-04 13:05:06 UTC
Thanks Jose, any chance you could submit a patch without all the whitespace
changes - it makes it hard to review?

(I prefer non-vertically-aligned field values in spec files, anyway ;)

Comment 3 Michael Schwendt 2005-04-04 13:14:36 UTC
"diff -bu" (-b ignores changes in amount of white-space)

Comment 4 Jose Pedro Oliveira 2005-04-04 13:51:29 UTC
Created attachment 112649 [details]
Full specfile

Joe Orton,

Attaching the full specfile.  The specfile is using the Fedora.us and
Fedora.Extras template.

If you still want I can redo the specfile but only at the end of the afternoon
(5 hours).

jpo

Comment 5 Jose Pedro Oliveira 2005-04-06 16:54:27 UTC
Joe Orton,

Have you already made the update? Or do you still want me to rediff the patch?

jpo

Comment 6 Joe Orton 2005-04-11 13:23:39 UTC
Sorry for the delay, I was out for a couple of days.  It's not the most helpful
to attach full updated specfiles; the best thing to do is to attach a diff
against the /devel/ spec file from CVS (again, without all the whitespace
changes); this way I can review the changes easily.

Comment 7 Warren Togami 2005-04-14 20:44:52 UTC
Joe mind if I handle this report?  I'll personally review and test all changes.

Comment 8 Joe Orton 2005-04-14 20:57:05 UTC
Sure, go ahead!

Comment 9 Warren Togami 2005-04-17 06:18:11 UTC
http://people.redhat.com/wtogami/temp/mod_perl.spec
upgraded to RC5
excluded INSTALL because it is useless build instructions

http://people.redhat.com/wtogami/temp/mod_perl-555857-x86_64-crowe.devel.redhat.com.log
Everything seems good except lib64...

Comment 10 Jose Pedro Oliveira 2005-04-17 14:30:34 UTC
Created attachment 113290 [details]
mod_perl 2.0.0 rc5 specfile patch

Comment 11 Jose Pedro Oliveira 2005-04-17 14:36:44 UTC
Warren,

The mod_perl 2.0.0 rc5 build should also have failed in i386 as several files
have been renamed (Apache:: -> Apache2::).  Files in the new Apache2 namespace
weren't being included in the %files section.

Patch: previous comment


*Very important* note from the mod_perl 2.0.0 rc5 (1.999_22) changelog:
----------
1.999_22

    ******************** IMPORTANT ********************
    this version of mod_perl is completely incompatible
      with prior versions of mod_perl, both 1.XX and
     1.99_XX. Please read the below changes carefully.
    ***************************************************
   ...
----------
Source: http://search.cpan.org/~geoff/mod_perl-2.0.0-RC5/Changes

Can this warning be added to the FC4 release notes?

jpo



Comment 12 Warren Togami 2005-04-17 21:35:28 UTC
http://cvs.fedora.redhat.com/viewcvs/fedora-release/?root=fedora
/cvs/fedora is where you can check this out and fix it yourself, I think.


Comment 13 Jose Pedro Oliveira 2005-04-18 23:05:00 UTC
Created attachment 113349 [details]
Filter requirements update

Warren,

Trying to install mod_perl-2.0.0-0.rc5.1 gives the following messages:
---
  perl(Apache2::FunctionTable) is needed by mod_perl-2.0.0-0.rc5.1.i386
  perl(Apache2::StructureTable) is needed by mod_perl-2.0.0-0.rc5.1.i386
---

The filter needs to be updated as several perl modules were renamed in RC5.
The patch corrects the problem.

Comment 14 Jose Pedro Oliveira 2005-04-18 23:14:11 UTC
Ignore previous comment and patch.
Already in CVS (2.0.0-0.rc5.2).

Comment 15 Warren Togami 2005-04-27 09:41:32 UTC
Fixed in perl main package.


Note You need to log in before you can comment on or make changes to this bug.